---
search:
  tags:
    - Billing
    - GET
seo:
  description: >-
    Get an invoice… Reference for the GET
    /v1/organizations/{orgId}/billing/invoices/{invoiceId}/service-summary
    endpoint in the Stashtab Vault Warehouse API.
sidebar:
  label: Get an invoice service summary
  badge: GET
title: Get an invoice service summary
type: openapi-operation
---
`GET /v1/organizations/{orgId}/billing/invoices/{invoiceId}/service-summary`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "adjustments": [
      {
        "amount": -9007199254740991,
        "kind": "charge_correction",
        "lineId": "string",
        "reason": "string",
        "serviceDate": "2019-08-24",
        "serviceName": "string"
      }
    ],
    "currency": "string",
    "invoice": {
      "finalizedAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "invoiceDate": "2019-08-24",
      "number": "string",
      "state": {
        "stage": "draft"
      }
    },
    "reconciliation": {
      "amountMismatchLineIds": [
        "string"
      ],
      "invoiceTotal": -9007199254740991,
      "reconciled": true,
      "summaryTotal": -9007199254740991,
      "unattributedAmount": -9007199254740991,
      "unattributedLineCount": 0
    },
    "servicePeriod": {
      "endDate": "2019-08-24",
      "source": "invoice_metadata",
      "startDate": "2019-08-24",
      "status": "known"
    },
    "services": [
      {
        "amount": -9007199254740991,
        "firstServiceDate": "2019-08-24",
        "lastServiceDate": "2019-08-24",
        "lines": [
          {
            "amount": -9007199254740991,
            "description": "string",
            "lineId": "string",
            "quantity": "string",
            "rate": "string",
            "references": {
              "orderNumbers": [
                "string"
              ],
              "purchaseOrderNumbers": [
                "string"
              ]
            },
            "serviceDate": "2019-08-24"
          }
        ],
        "quantity": "string",
        "rate": "string",
        "serviceName": "string",
        "unit": "unit"
      }
    ],
    "terms": {
      "disputeWindow": {
        "days": 0,
        "deadline": "2019-08-24",
        "status": "known"
      },
      "paymentTerms": {
        "days": 0,
        "label": "string",
        "status": "known"
      }
    },
    "totals": {
      "chargeCorrections": -9007199254740991,
      "creditNotes": -9007199254740991,
      "subtotal": -9007199254740991,
      "total": -9007199254740991,
      "totalAfterCredits": -9007199254740991
    },
    "unattributedLines": [
      {
        "amount": -9007199254740991,
        "description": "string",
        "lineId": "string",
        "periodEndDate": "2019-08-24",
        "periodStartDate": "2019-08-24",
        "quantity": 0
      }
    ]
  },
  "meta": {
    "requestId": "string"
  }
}
```
